
%define	major 2
%define name portaudio
%define version 20
%define libname	%mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name: portaudio
Version: 20.0.1
Release: %mkrel 1

Summary: PortAudio Portable Real-Time Audio Library
License: LGPL
Group: Video
Url: http://www.portaudio.com
Source: %{name}-%{version}.tar.xz
BuildRoot: %_tmppath/%name-%version-root
#---------------------------------------------
BuildRequires: gcc-gfortran
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: libgcc1
BuildRequires: libgfortran3
BuildRequires: libquadmath-devel
BuildRequires: libquadmath0
#---------------------------------------------


%description
PortAudio is a free, cross platform, open-source, audio I/O library.
It lets you write simple audio programs in 'C' or C++ that will
compile and run on many platforms including Windows, Macintosh
OS X, Unix (OSS/ALSA), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio software between developers on
different platforms. PortAudio provides a very simple API for
recording and/or playing sound using a simple callback function.
Example programs are included that synthesize sine waves and pink
noise, perform fuzz distortion on a guitar, list available audio
devices, etc.


%package -n	%{libname}
Summary:	Cross platform audio I/O library
Group:          System/Libraries


%description -n	%{libname}
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 


%package -n	%{libnamedev}
Summary:	Development library and header files for the PortAudio library
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}portaudio2-devel
Provides:	%{_lib}portaudio2-devel = %version-%release


%description -n	%{libnamedev}
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

This package contains the static PortAudio library and its header
files.



%prep
%setup -q

%build

%configure2_5x --disable-static

%make

cd bindings/cpp
%configure2_5x --disable-static
%make


%install
rm -rf %buildroot

mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/include
make install DESTDIR=$RPM_BUILD_ROOT

cd bindings/cpp
make install DESTDIR=$RPM_BUILD_ROOT


find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
  
%files -n %{libnamedev}
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc  
  
%changelog  
* Tue May 05 2015 bb <bb> 20.0.1-1pclos2015
- update
